# Cleaning Astrochemical Reaction network via Thermodynamics principles
This is a Python 3.8 script that permits to read and work with an astrochemical reaction network in [KIDA format](https://kida.astrochem-tools.org/) .

## Installation

This program used a python3 interface, to run this code you must install on your machine this list of packages:

* ```networkx```
* ```numpy```
* ```pandas```

## Script Structure
All the codes for the cleaning are inside the ```Cleaning_script.ipynb``` ipython notebook, the ```lib.py``` python file is where many functions are stored.
An example on how encode a KIDA Reaction Network and visualize is in the ```reaction_network_to_graph.ipynb``` file.

In the ```ipynb_html_pdf``` directory are present all the ```*.ipynb``` file converted in ```html``` and ```pdf``` format.

The ```tmp_output``` directory is where the outputs of the ```Cleaning_script.ipynb``` are saved. 

## Database
Networks and molecules information are inside the ```Database``` directory. A dedicated ```ReadMe``` file is inside the directory.
